Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.persistence
Annotation Type OneToOne

    @Target(value={METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface OneToOne

This annotation defines a single-valued association to another entity that has one-to-one multiplicity. It is not normally necessary to specify the associated target entity explicitly since it can usually be inferred from the type of the object being referenced.

Author:
  Emmanuel Bernard

Optional Element Summary
`CascadeType[]` | `cascade` The operations that must be cascaded to the target of the association.
`FetchType` | `fetch` Whether the association should be lazily loaded or must be eagerly fetched.
`String` | `mappedBy` The field that owns the relationship.
`boolean` | `optional` Whether the association is optional.
`Class` | `targetEntity` The entity class that is the target of the association.

### targetEntity

    public abstract Class targetEntity

  The entity class that is the target of the association. Defaults to the type of the field or property that stores the association.

  Default:
    void.class

### cascade

    public abstract CascadeType[] cascade

  The operations that must be cascaded to the target of the association. By default no operations are cascaded.

  Default:
    {}

### fetch

    public abstract FetchType fetch

  Whether the association should be lazily loaded or must be eagerly fetched. The EAGER strategy is a requirement on the persistence provider runtime that the associated entity must be eagerly fetched. The LAZY strategy is a hint to the persistence provider runtime.

  Default:
    EAGER

### optional

    public abstract boolean optional

  Whether the association is optional. If set to false then a non-null relationship must always exist.

  Default:
    true

### mappedBy

    public abstract String mappedBy

  The field that owns the relationship. This element is only specified on the inverse (non-owning) side of the association.

  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT